import corsPreflightMiddleware from './corsPreflightMiddleware';
import corsResponseMiddleware from './corsResponseMiddleware';
import { defaultConfig } from './corsConfig';

const corsMiddleware = (config = defaultConfig) => next => event =>
  corsPreflightMiddleware(config)(corsResponseMiddleware(config)(next))(event);

export default corsMiddleware;
