'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _corsPreflightMiddleware = require('./corsPreflightMiddleware');

var _corsPreflightMiddleware2 = _interopRequireDefault(_corsPreflightMiddleware);

var _corsResponseMiddleware = require('./corsResponseMiddleware');

var _corsResponseMiddleware2 = _interopRequireDefault(_corsResponseMiddleware);

var _corsConfig = require('./corsConfig');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const corsMiddleware = (config = _corsConfig.defaultConfig) => next => event => (0, _corsPreflightMiddleware2.default)(config)((0, _corsResponseMiddleware2.default)(config)(next))(event);

exports.default = corsMiddleware;